Skip to content

Last 10 chaos experiment runs

GET
/api/v1/monitoring/chaos/history
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/monitoring/chaos/history \
--header 'X-API-Key: <X-API-Key>'

Returns the most recent chaos experiment history entries from the weekly ChaosScheduler cadence, including verification status and any kill switch activations.

Successful Response

Media typeapplication/json
Response Get Chaos History Api V1 Monitoring Chaos History Get
Array<object>
ChaosHistoryEntryDTO

A single chaos experiment history entry.

object
completed_at
Any of:
string
error
Any of:
string
experiment_name
required
Experiment Name
string
killed
Killed
boolean
started_at
required
Started At
string
verification_details
Any of:
string
verified
Verified
boolean
Example
[
{
"killed": false,
"verified": false
}
]